IRCD(8)

NAME
ircd - The Undernet Internet Relay Chat Daemon

SYNOPSIS

ircd
    [-t] [-d directory] [-f configfile] [-x debuglevel] [-h hostname]

DESCRIPTION

ircd is the Undernet Internet Relay Chat daemon. ircd is a server in that its function is to "serve" the client program irc(1) with messages and commands. All commands and user messages are passed directly to ircd for processing and relaying to other servers. irc(1) depends upon there being an ircd server running somewhere for it to connect to and thus allow the user to begin talking to other users.

There are many common clients including ircII, EPIC, and BitchX for UNIX, mIRC and pIRCh for Windows, and IRCle and Homer for the Macintosh.

OPTIONS

-d directory
    This option tells the server to change to that directory and use that as a reference point when opening ircd.conf and other startup files.

-t  Instructs the server run in the foreground and to direct debugging output to standard output.

-x# Defines the debug level for ircd. The higher the debug level, the more messages get directed to debugging file (or standard output if the -t option is used).

-w interface
    This option is deprecated. Outgoing connections are bound to the interface specified in the M: line, and incoming connections are accepted only on interfaces specified in the P: lines.

-f filename
    Specifies the ircd.conf file to be used for this server. The option is used to override the default ircd.conf given at compile time.

-c  This flag must be given if you are running ircd from /dev/console or any other situation where fd 0 isn't a TTY and you want the server to fork off and run in the background. This needs to be given if you are starting ircd from an rc (such as /etc/rc.local) file.

-h hostname
    Allows the user to manually set the server name at startup. The default name is hostname.domainname.

-p portname
    This is deprecated in favor of specifying server ports in P: lines.

CONFIGURATION
If you plan to connect your ircd server to an existing IRC network, you will need to alter your local ircd configuration file (typically named ircd.conf) so that it will accept and make connections to other IRC servers. This file contains the hostnames, network addresses, and passwords for connections to other IRC servers around the world. Because the description of the ircd.conf file is beyond the scope of this document, please refer to the INSTALL file in the ircd documentation directory.

BOOTING THE SERVER: The ircd server can be started as part of the UNIX boot procedure or just by placing the server into Unix Background. Keep in mind that if it is *not* part of your UNIXES Boot-up procedure then you will have to manually start the ircd server each time your UNIX is rebooted. This means if your UNIX is prone to crashing or going for for repairs a lot it would make sense to start the ircd server as part of your UNIX bootup procedure. In some cases the irc(1) will automatically attempt to boot the ircd server if the user is on the SAME UNIX that the ircd is supposed to be running on. If the irc(1) cannot connect to the ircd server it will try to start the server on it's own and will then try to reconnect to the newly booted ircd server.

EXAMPLE
    tolsun% ircd

Places ircd into UNIX Background and starts up the server for use. Note: You do not have to add the "&" to this command, the program will automatically detach itself from tty.

COPYRIGHT
(c) 1988,1989 University of Oulu, Computing Center, Finland,

(c) 1988,1989 Department of Information Processing Science, University of Oulu, Finland

(c) 1988,1989,1990,1991 Jarkko Oikarinen

For full COPYRIGHT see LICENSE file with IRC package.

FILES
 /etc/utmp
 "ircd.conf"

SEE ALSO
irc(1)

BUGS
See the file 'BUGS' included in the distribution.

AUTHOR
The current authors of the undernet IRC daemon are coder-com@undernet.org, the original author was Jarkko Oikarinen.